"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQwikLibProjectTargets = void 0;
function getQwikLibProjectTargets(params) {
    const config = {};
    if (params.buildable) {
        config['build'] = getBuildTarget(params);
    }
    if (params.setupVitest) {
        config['test'] = getTestTarget(params);
    }
    return config;
}
exports.getQwikLibProjectTargets = getQwikLibProjectTargets;
function getBuildTarget(params) {
    return {
        executor: '@nx/vite:build',
        outputs: ['{options.outputPath}'],
        options: {
            outputPath: `dist/${params.projectRoot}`,
            configFile: `${params.projectRoot}/vite.config.ts`,
            mode: 'lib',
        },
    };
}
function getTestTarget(params) {
    return {
        executor: '@nx/vite:test',
        outputs: ['{options.reportsDirectory}'],
        options: {
            passWithNoTests: true,
            reportsDirectory: `${params.offsetFromRoot}coverage/${params.projectRoot}`,
        },
    };
}
//# sourceMappingURL=get-qwik-lib-project-params.js.map