"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addTailwindStyleImports = void 0;
const devkit_1 = require("@nx/devkit");
const knownLocations = [
    'src/global.css',
    'src/global.scss',
    'src/global.styl',
    'src/global.less',
];
function addTailwindStyleImports(tree, project) {
    var _a;
    const candidates = knownLocations.map((x) => (0, devkit_1.joinPathFragments)(project.root, x));
    const stylesPath = candidates.find((x) => tree.exists(x));
    if (stylesPath) {
        const content = (_a = tree.read(stylesPath)) === null || _a === void 0 ? void 0 : _a.toString();
        content &&
            tree.write(stylesPath, `@tailwind components;\n@tailwind base;\n@tailwind utilities;\n${content}`);
    }
    else {
        devkit_1.logger.warn((0, devkit_1.stripIndents) `
        Could not find stylesheet to update. Add the following imports to your stylesheet (e.g. global.css):

          @tailwind components;
          @tailwind base;
          @tailwind utilities;`);
    }
}
exports.addTailwindStyleImports = addTailwindStyleImports;
//# sourceMappingURL=add-tailwind-style-imports.js.map