"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addStyledModuleDependencies = void 0;
const devkit_1 = require("@nx/devkit");
const versions_1 = require("./versions");
function addStyledModuleDependencies(host, styledModule) {
    const extraDependencies = STYLE_DEPENDENCIES.get(styledModule);
    if (extraDependencies) {
        return (0, devkit_1.addDependenciesToPackageJson)(host, extraDependencies.dependencies, extraDependencies.devDependencies);
    }
    else {
        return () => void 0;
    }
}
exports.addStyledModuleDependencies = addStyledModuleDependencies;
const STYLE_DEPENDENCIES = new Map([
    [
        'scss',
        {
            dependencies: {},
            devDependencies: {
                sass: versions_1.sassVersion,
            },
        },
    ],
    [
        'less',
        {
            dependencies: {},
            devDependencies: {
                less: versions_1.lessVersion,
            },
        },
    ],
    [
        'styl',
        {
            dependencies: {},
            devDependencies: {
                stylus: versions_1.stylusVersion,
            },
        },
    ],
]);
//# sourceMappingURL=add-styled-dependencies.js.map