"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIntegrationConfigurationName = exports.IntegrationName = void 0;
var IntegrationName;
(function (IntegrationName) {
    IntegrationName["Cloudflare"] = "cloudflare";
    IntegrationName["Deno"] = "deno";
    IntegrationName["Netlify"] = "netlify";
})(IntegrationName = exports.IntegrationName || (exports.IntegrationName = {}));
/**
 * If there're no integrations, the one that is being added will get a "production" mode as its configuration.
 * Otherwise the respective configuration name will be used as a configuration
 */
function getIntegrationConfigurationName(integration, project) {
    var _a, _b, _c, _d, _e, _f;
    const buildTargetConfiguration = !!((_c = (_b = (_a = project.targets) === null || _a === void 0 ? void 0 : _a.build) === null || _b === void 0 ? void 0 : _b.configurations) === null || _c === void 0 ? void 0 : _c.production);
    const buildSsrTargetConfiguration = !!((_f = (_e = (_d = project.targets) === null || _d === void 0 ? void 0 : _d['build.ssr']) === null || _e === void 0 ? void 0 : _e.configurations) === null || _f === void 0 ? void 0 : _f.production);
    if (buildTargetConfiguration || buildSsrTargetConfiguration) {
        return integration;
    }
    return 'production';
}
exports.getIntegrationConfigurationName = getIntegrationConfigurationName;
//# sourceMappingURL=integration-configuration-name.js.map